
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name: kata-agent
Version: 1.11.3
Release: 3%{?dist}
#   0.20200916.git82e2adf
Vendor:  Oracle America
Summary: Kata Containers Agent
Group:   Development/Tools
License: Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= 1.13.15
BuildRequires: pkgconfig(systemd)
BuildRequires: libudev-devel

%description
Kata Containers Agent.
Only to be included as part of kata-image.
Do not install on host systems.

%prep
%setup -q

%build
export LANG=C
export GOPATH="${PWD}/gopath/"
mkdir -p "${GOPATH}/src/github.com/kata-containers/"
ln -sf "${PWD}" "${GOPATH}/src/github.com/kata-containers/agent"
cd "${GOPATH}/src/github.com/kata-containers/agent"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt NOTICE
%defattr(-,root,root,-)
/usr/bin/kata-agent
/usr/lib/systemd/system/kata-agent.service
/usr/lib/systemd/system/kata-containers.target

%changelog
* Tue Nov 03 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.11.3-3
- Fix kata-image build

* Thu Oct 22 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.11.3-2
- Added OL8 build changes

* Thu Oct 22 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.11.3-1
- Added Oracle Specific Build Files for kata-agent
